<?php
class tabsl_order_main extends tabsl_order_main_parent
{
    /**
     * Sends rateEmail.
     *
     * @return null
     */
    public function tabsl_sendRateOrderMail()
    {
        $soxId  = oxConfig::getParameter( "oxid" );
        $oOrder = oxNew( "oxorder" );
        if ( $oOrder->load( $soxId ) )
        {
            // #1071C
            $oOrderArticles = $oOrder->getOrderArticles();
            foreach ( $oOrderArticles as $sOxId => $oArticle ) {
                // remove canceled articles from list
                if ( $oArticle->oxorderarticles__oxstorno->value == 1 ) {
                    $oOrderArticles->offsetUnset( $sOxId );
                }
            }
            // send eMail
            $oEmail = oxNew( "oxemail" );
            $oEmail->tabsl_sendRateOrderMail( $oOrder );
            
            // update senratemail date
            $sSQL = "UPDATE oxorder SET tabsl_sendratemail = NOW() WHERE oxid = '".$soxId."'";
            oxDb::getDb()->Execute($sSQL);            
        }
    }
}